Proactive

API / V1

Integrations

5 endpoints in this section.

POST/api/v1/integrations/github/disconnect

Requires write scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/status

Requires read scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories

Requires read scope with session_or_bearer authentication.

Parameters

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories/{repositoryFullName}/branches

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
repositoryFullNamestringYes

Repository in owner/repo format.

-

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.

GET/api/v1/integrations/github/repositories/{repositoryFullName}/pull-requests

Requires read scope with session_or_bearer authentication.

Parameters

ParamTypeRequiredDescriptionOptions
repositoryFullNamestringYes

Repository in owner/repo format.

-
statestringNo

Defaults to open.

open, closed, all

Request Example

Use the snippet below to call this endpoint from your app or CLI.

Response Example

Toggle between a success and failure payload returned by this endpoint.